## Delete shipping method

### cURL

```
curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**
- **400**
- **404**
- **500**

### Example Response
```
{
  "name": "Express Delivery",
  "description": "Express Delivery 2 - 5 days",
  "taxCode": "tax_1",
  "minimumDays": 2,
  "maximumDays": 5,
  "cutOffTime": 1330,
  "cost": 20,
  "channel": "12",
  "createdBy": "User1",
  "addressType": "APO",
  "shippingMethodId": "5349b4ddd2781d08c09890f4",
  "region": "CA",
  "deleted": false,
  "updatedBy": "User2",
  "configuredBy": "User3",
  "weight": {
    "min": 2,
    "max": 3
  },
  "cartValue": {
    "min": 2,
    "max": 3
  },
  "dimension": {
    "min": {
      "height": 2,
      "width": 3,
      "length": 4
    },
    "max": {
      "height": 2,
      "width": 3,
      "length": 4
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
```

```
{
  "message": "Bad Request"
}
```

```
{
  "message": "ShipMethod Not Found."
}
```

```
{
  "message": "Internal Server Error"
}
```

### Authorizations

**Authorization**  
- Type: string  
- Location: header  
- Required: Yes  
  
**Format:** `Bearer <token>`

### Headers

**x-site-context**  
- Type: string  
- Required: Yes  
## Path Parameters

**shipmethodId**  
- Type: string  
- Required: Yes

### Response Attributes

- **name** (string, required): Shipping method name  
- **description** (string, required): Brief description of shipping method  
- **taxCode** (string, required): Tax code based on the state  
- **minimumDays** (integer, required): Minimum days for delivery  
- **maximumDays** (integer, required): Maximum days for delivery  
- **cutOffTime** (integer, required): Cut off delivery time  
- **cost** (number, required): Shipping cost  
- **channel** (string, required): Sales channel  
- **createdBy** (string, required): User who created the shipping method  
- **addressType** (string, required): Address type of delivery  
- **shippingMethodId** (string, required): Unique shipping method ID  
- **region** (string): Region or state of shipping  
- **deleted** (boolean): Active shipping method  
- **updatedBy** (string): User who last modified the shipping method  
- **configuredBy** (string): User who configured the shipping method  
- **weight** (object): Min-max weight value
- **cartValue** (object): Min-max cart value
- **dimension** (object): Min-max dimension details  
- **createdAt** (string<date-time>): Time of shipping method creation  
- **updatedAt** (string<date-time>): Time of last update.
